View Issue Details

IDProjectCategoryView StatusLast Update
0002910SymmetricDSBugpublic2016-11-25 09:27
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.8 
Target Version3.8.10Fixed in Version3.8.10 
Summary0002910: Node Communication Type FILE_EXTRACT is too long
DescriptionWhen running with cluster.lock.enabled=true and performing an initial load, the FILE_EXTRACT node communication type causes an error like the following, even with file sync disabled. The name should fit the column, and also there should not be locking activity when file sync is disabled.

Value too long for column "COMMUNICATION_TYPE VARCHAR(10) NOT NULL": "'FILE_EXTRACT' (12)"; SQL statement:
insert into sym_node_communication (lock_time,locking_server_id,last_lock_millis,success_count,fail_count,total_success_count,total_fail_count,total_success_millis,total_fail_millis,last_lock_time,batch_to_send_count,node_priority,node_id,queue,communication_type) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?) [22001-176]

This was introduced in 3.8.8 - http://www.symmetricds.org/issues/view.php?id=2876
TagsNo tags attached.

Relationships

related to 0002876 closedmmichalek FileSync initial load batches should respect max batch size of the filesync_reload channel 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 f858f0f3

2016-11-21 14:23:10

mmichalek

Details Diff
002910: Node Communication Type FILE_EXTRACT is too long
0002910
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeCommunication.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeCommunicationService.java Diff File

SymmetricDS: 3.8 b8203137

2016-11-23 08:23:19

mmichalek

Details Diff
0002910: Node Communication Type FILE_EXTRACT is too long
0002910
add - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/NodeCommunicationServiceTest.java Diff File

Issue History

Date Modified Username Field Change
2016-11-21 14:21 mmichalek New Issue
2016-11-21 14:21 mmichalek Status new => assigned
2016-11-21 14:21 mmichalek Assigned To => mmichalek
2016-11-21 15:00 mmichalek Changeset attached => SymmetricDS 3.8 f858f0f3
2016-11-21 15:11 mmichalek Relationship added related to 0002876
2016-11-22 16:08 chenson Status assigned => resolved
2016-11-22 16:08 chenson Fixed in Version => 3.8.10
2016-11-22 16:08 chenson Resolution open => fixed
2016-11-23 09:00 mmichalek Changeset attached => SymmetricDS 3.8 b8203137
2016-11-25 09:27 chenson Status resolved => closed